org.apache.lucene.index

## Class BaseIndexFileFormatTestCase.FileTrackingDirectoryWrapper

- java.lang.Object
- - org.apache.lucene.store.Directory
  - - org.apache.lucene.store.FilterDirectory
    - - org.apache.lucene.index.BaseIndexFileFormatTestCase.FileTrackingDirectoryWrapper

- All Implemented Interfaces:
    Closeable, AutoCloseable
  Enclosing class:
    BaseIndexFileFormatTestCase

      protected static class BaseIndexFileFormatTestCase.FileTrackingDirectoryWrapper
      extends FilterDirectory

  A directory that tracks created files that haven't been deleted.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.store.FilterDirectory

      `in`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `IndexOutput` | `createOutput(String name, IOContext context)`
    `void` | `deleteFile(String name)`
    `Set<String>` | `getFiles()` Get the set of created files.
    `void` | `rename(String source, String dest)`

    - ### Methods inherited from class org.apache.lucene.store.FilterDirectory

      `close, createTempOutput, fileLength, getDelegate, getPendingDeletions, listAll, obtainLock, openInput, sync, syncMetaData, toString, unwrap`

    - ### Methods inherited from class org.apache.lucene.store.Directory

      `copyFrom, ensureOpen, getTempFileName, openChecksumInput`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getFiles

          public Set<String> getFiles()

      Get the set of created files.

    - #### createOutput

          public IndexOutput createOutput(String name,
                                          IOContext context)
                                   throws IOException

      Overrides:
        `createOutput` in class `FilterDirectory`
      Throws:
        `IOException`

    - #### rename

          public void rename(String source,
                             String dest)
                      throws IOException

      Overrides:
        `rename` in class `FilterDirectory`
      Throws:
        `IOException`

    - #### deleteFile

          public void deleteFile(String name)
                          throws IOException

      Overrides:
        `deleteFile` in class `FilterDirectory`
      Throws:
        `IOException`

Copyright © 2000-2024 Apache Software Foundation. All Rights Reserved.